Subject: Re: [PATCH 3/3] timekeeping: remove arch_gettimeoffset

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 15 Oct 2020 10:53:07 +0100

On Thu, Oct 15, 2020 at 09:53:29AM +0200, Linus Walleij wrote:
> On Thu, Oct 8, 2020 at 5:46 PM Arnd Bergmann <[email-masked]> wrote:
> 
> > With Arm EBSA110 gone, nothing uses it any more, so the corresponding
> > code and the Kconfig option can be removed.
> >
> > Signed-off-by: Arnd Bergmann <[email-masked]>
> 
> Very nice cleanup.
> Reviewed-by: Linus Walleij <[email-masked]>
> 
> At some point we should do a retrospect about how hard it really is for
> us to get rid of some really annoying core legacy codepaths and the best
> strategy for doing so, even though this took 11+ years as Thomas
> says it still looks like a solid path to move over to a generic framework,
> only it requires enough gritty people (like you) to hang around and do the
> work piece by piece.

Don't be misled. It was not a matter of "enough gritty people", it
was a matter that EBSA110 was blocking it.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!